package com.chinaitop.receive.model;

import com.alibaba.fastjson2.JSON;
import com.chinaitop.receive.model.ReceiveData;
import lombok.Data;

/**
 * @author qingsong.han
 * @description: 事件消息(505页)
 * @create 2023-09-21 13:04
 */
@Data
public class ReceiveMessages {

    private String event_id; // 事件id
    private String event_type; // 事件类型编码
    private String data; // 接收的业务数据
    private ReceiveData receiveData; // 接收的业务数据-转换对象

    public void setData(String data) {
        this.receiveData = JSON.parseObject(data, ReceiveData.class);
    }
}
