package com.chinaitop;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;

@EnableEurekaClient
@SpringBootApplication
@MapperScan({
        "com.chinaitop.*.mapper"
})
public class DepotAlarmApplication {

    public static void main(String[] args) {
        SpringApplication.run(DepotAlarmApplication.class, args);
    }

}
