package com.chinaitop;

import com.chinaitop.token.GetTokenConfig;
import com.chinaitop.utils.FilePullUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author qingsong.han
 * @description: 仅用作测试获取token和刷新token
 * @create 2023-09-15 12:21
 */
@Slf4j
@RestController
public class TestController {

    @Resource
    private GetTokenConfig config;

    @GetMapping("/test")
    public void test(Integer flg) {
        if (flg == 1)
            config.getToken();
        else
            config.refreshToken();
    }

    @GetMapping("/imageUrl")
    public void imageUrl() {
        String[] picture = {"1/19/videolabel/dn@0_0/1/4-17951b2a-443ba?deviceId=10000000001311000003"};
        config.getImageUrl(picture);
    }

    @Resource
    private FilePullUtil file;

    @GetMapping("/testFile")
    public void test() {
        String url = "http://10.69.15.150:11125/nginx-proxy?image_url=http://10.69.15.150:9003/?videolabel/dn@0_0/1/4-17951b2a-443ba";
        try {
            file.pictureFile(url, "111.png");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
