package com.chinaitop.receive.model;

import lombok.Data;

/**
 * @author qingsong.han
 * @description: json对象(652页)
 * @create 2023-09-21 17:53
 */
@Data
public class BizJson {

    private String pu_id; // 设备编码
    private Integer pu_idx; // 通道序号
    private String pu_name; // 设备名称
    private String target_image_url; // 布控照片相对路径
    private String model_version; // 模型版本号
    private String description; // 描述
    private String gender_code; // 性别代码
    private String title; // 描述布控的主题和目标
    private Integer tab_id_type; // 布控类型：1- 重点人员识别（黑名单）3-陌生人识别（白名单）（target_type=1必填）
    private String image_url_full_in; // 抓拍大脸照图片路径
    private String algorithm_vendor; // 算法厂商
    private Double similarity; // 相似度
    private String vendor; // 厂商
    private String image_url_part_in; // 抓拍大脸照图片路径
    private String image_url_full; // 抓拍大脸照图片路径
    private String face_id; // 人脸标识
    private String notificationId; // 通知标识
    private String subject_type; // 标签库专题类型：重点人员库
    private String disposition_type; // 布控类型
    private String pass_time; // 抓拍时间
    private String dispositionId; // 布控id，修改时必填
    private Integer left_top_y; // 左下角Y
    private Integer left_top_x; // 左上角X
    private Integer right_btm_x; // 右上角X
    private Integer right_btm_y; // 右下角Y
    private Object target; // 布控目标
    private String list_type; // 名单库类型
    private String disposition_target; // 布控目标-名单库名称/单对象布控/属性布控
    private String disposition_name; // 布控任务名称
    private String target_image_url_in; // 布控照图片路径
    private String image_url_part; // 抓拍大脸照
    private String target_feature; // 布控目标1—名单库，2—单对象，3—民族
    private String username; // 用户名
    private String usercode;
    private Double check_similarity;
    private Integer check_vendor;
    private String source_topic;
    private String notificationType;
    private String disposition_begin_time;
    private String disposition_end_time;
    private String target_image_url_out;
    private String image_url_part_out;
    private String image_url_full_out;
}
